# Uses of Class
javax.smartcardio.TerminalFactory

Packages that use TerminalFactory
Package
Description
javax.smartcardio
Java™ Smart Card I/O API.

## Uses of TerminalFactory in javax.smartcardio

Methods in javax.smartcardio that return TerminalFactory
Modifier and Type
Method
Description
`static TerminalFactory`
TerminalFactory.`getDefault()`
Returns the default TerminalFactory instance.
`static TerminalFactory`
TerminalFactory.`getInstance(String type, Object params)`
Returns a TerminalFactory of the specified type that is initialized with the specified parameters.
`static TerminalFactory`
TerminalFactory.`getInstance(String type, Object params, String provider)`
Returns a TerminalFactory of the specified type that is initialized with the specified parameters.
`static TerminalFactory`
TerminalFactory.`getInstance(String type, Object params, Provider provider)`
Returns a TerminalFactory of the specified type that is initialized with the specified parameters.